using System;
using System.Collections;
namespace stalaktiti {
     
class STAL {
     
    public static void Main()
    {
        string[] data1 = Console.ReadLine().Split(" ");
        int N = int.Parse(data1[0]);
        int L = int.Parse(data1[1]);
        string inputLine = Console.ReadLine();
        string[] inputNumbers = inputLine.Split(' ');
        int[] H = new int[N];
        int prolaz = 1;
        for (int i = 0; i < N; i++){
            int.TryParse(inputNumbers[i], out H[i]);
        }

        for (int i = 0; i < N; i++){
            if(L < H[i]){
                prolaz++;
            }
            else{
                Console.WriteLine(prolaz);
                break;
            }
            if(prolaz > N){
                Console.WriteLine(-1);
            }
        }
    }
}
}